"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "InsertLinkSelector", {
    enumerable: true,
    get: function() {
        return InsertLinkSelector;
    }
});
const _react = /*#__PURE__*/ _interop_require_wildcard(require("react"));
const _f36components = require("@contentful/f36-components");
const _f36icons = require("@contentful/f36-icons");
function _getRequireWildcardCache(nodeInterop) {
    if (typeof WeakMap !== "function") return null;
    var cacheBabelInterop = new WeakMap();
    var cacheNodeInterop = new WeakMap();
    return (_getRequireWildcardCache = function(nodeInterop) {
        return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
    })(nodeInterop);
}
function _interop_require_wildcard(obj, nodeInterop) {
    if (!nodeInterop && obj && obj.__esModule) {
        return obj;
    }
    if (obj === null || typeof obj !== "object" && typeof obj !== "function") {
        return {
            default: obj
        };
    }
    var cache = _getRequireWildcardCache(nodeInterop);
    if (cache && cache.has(obj)) {
        return cache.get(obj);
    }
    var newObj = {
        __proto__: null
    };
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for(var key in obj){
        if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) {
            var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
            if (desc && (desc.get || desc.set)) {
                Object.defineProperty(newObj, key, desc);
            } else {
                newObj[key] = obj[key];
            }
        }
    }
    newObj.default = obj;
    if (cache) {
        cache.set(obj, newObj);
    }
    return newObj;
}
const InsertLinkSelector = (props)=>{
    if (props.canAddNew) {
        return /*#__PURE__*/ _react.createElement(MultipleMediaContextMenu, props);
    } else {
        return /*#__PURE__*/ _react.createElement(_f36components.Button, {
            isDisabled: props.disabled,
            startIcon: /*#__PURE__*/ _react.createElement(_f36icons.AssetIcon, null),
            testId: "markdownEditor.linkExistingAssets",
            size: "small",
            variant: "secondary",
            onClick: ()=>{
                props.onSelectExisting();
            }
        }, "Insert media");
    }
};
const MultipleMediaContextMenu = (props)=>{
    return /*#__PURE__*/ _react.createElement(_f36components.Menu, {
        placement: "bottom-end"
    }, /*#__PURE__*/ _react.createElement(_f36components.Menu.Trigger, null, /*#__PURE__*/ _react.createElement(_f36components.Button, {
        endIcon: /*#__PURE__*/ _react.createElement(_f36icons.ChevronDownIcon, null),
        isDisabled: props.disabled,
        startIcon: /*#__PURE__*/ _react.createElement(_f36icons.AssetIcon, null),
        testId: "markdownEditor.insertMediaDropdownTrigger",
        size: "small",
        variant: "secondary"
    }, "Insert media")), /*#__PURE__*/ _react.createElement(_f36components.Menu.List, null, /*#__PURE__*/ _react.createElement(_f36components.Menu.Item, {
        testId: "markdownEditor.uploadAssetsAndLink",
        onClick: ()=>props.onAddNew()
    }, "Add new media and link"), /*#__PURE__*/ _react.createElement(_f36components.Menu.Item, {
        testId: "markdownEditor.linkExistingAssets",
        onClick: ()=>props.onSelectExisting()
    }, "Link existing media")));
};
