"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "MarkdownConstraints", {
    enumerable: true,
    get: function() {
        return MarkdownConstraints;
    }
});
const _react = /*#__PURE__*/ _interop_require_wildcard(require("react"));
const _f36tokens = /*#__PURE__*/ _interop_require_default(require("@contentful/f36-tokens"));
const _fieldeditorshared = require("@contentful/field-editor-shared");
const _emotion = require("emotion");
function _interop_require_default(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
function _getRequireWildcardCache(nodeInterop) {
    if (typeof WeakMap !== "function") return null;
    var cacheBabelInterop = new WeakMap();
    var cacheNodeInterop = new WeakMap();
    return (_getRequireWildcardCache = function(nodeInterop) {
        return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
    })(nodeInterop);
}
function _interop_require_wildcard(obj, nodeInterop) {
    if (!nodeInterop && obj && obj.__esModule) {
        return obj;
    }
    if (obj === null || typeof obj !== "object" && typeof obj !== "function") {
        return {
            default: obj
        };
    }
    var cache = _getRequireWildcardCache(nodeInterop);
    if (cache && cache.has(obj)) {
        return cache.get(obj);
    }
    var newObj = {
        __proto__: null
    };
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for(var key in obj){
        if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) {
            var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
            if (desc && (desc.get || desc.set)) {
                Object.defineProperty(newObj, key, desc);
            } else {
                newObj[key] = obj[key];
            }
        }
    }
    newObj.default = obj;
    if (cache) {
        cache.set(obj, newObj);
    }
    return newObj;
}
const styles = {
    root: (0, _emotion.css)({
        display: 'flex',
        justifyContent: 'space-between',
        fontSize: _f36tokens.default.fontSizeM,
        marginTop: _f36tokens.default.spacingXs,
        color: _f36tokens.default.gray700
    })
};
function MarkdownConstraints(props) {
    const constraints = _fieldeditorshared.ConstraintsUtils.fromFieldValidations(props.sdk.field.validations, props.sdk.field.type);
    const checkConstraint = _fieldeditorshared.ConstraintsUtils.makeChecker(constraints);
    return /*#__PURE__*/ _react.createElement("div", {
        className: styles.root
    }, /*#__PURE__*/ _react.createElement(_fieldeditorshared.CharCounter, {
        value: props.value,
        checkConstraint: checkConstraint
    }), /*#__PURE__*/ _react.createElement(_fieldeditorshared.CharValidation, {
        constraints: constraints
    }));
}
