"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    CheatsheetModalDialog: function() {
        return CheatsheetModalDialog;
    },
    openCheatsheetModal: function() {
        return openCheatsheetModal;
    }
});
const _react = /*#__PURE__*/ _interop_require_wildcard(require("react"));
const _f36components = require("@contentful/f36-components");
const _f36tokens = /*#__PURE__*/ _interop_require_default(require("@contentful/f36-tokens"));
const _emotion = require("emotion");
const _types = require("../types");
function _interop_require_default(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
function _getRequireWildcardCache(nodeInterop) {
    if (typeof WeakMap !== "function") return null;
    var cacheBabelInterop = new WeakMap();
    var cacheNodeInterop = new WeakMap();
    return (_getRequireWildcardCache = function(nodeInterop) {
        return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
    })(nodeInterop);
}
function _interop_require_wildcard(obj, nodeInterop) {
    if (!nodeInterop && obj && obj.__esModule) {
        return obj;
    }
    if (obj === null || typeof obj !== "object" && typeof obj !== "function") {
        return {
            default: obj
        };
    }
    var cache = _getRequireWildcardCache(nodeInterop);
    if (cache && cache.has(obj)) {
        return cache.get(obj);
    }
    var newObj = {
        __proto__: null
    };
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for(var key in obj){
        if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) {
            var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
            if (desc && (desc.get || desc.set)) {
                Object.defineProperty(newObj, key, desc);
            } else {
                newObj[key] = obj[key];
            }
        }
    }
    newObj.default = obj;
    if (cache) {
        cache.set(obj, newObj);
    }
    return newObj;
}
const styles = {
    flexColumnContainer: (0, _emotion.css)({
        display: 'flex',
        flexWrap: 'nowrap'
    }),
    flexColumn: (0, _emotion.css)({
        flexGrow: 1
    }),
    verticalDivider: (0, _emotion.css)({
        borderRight: `1px solid ${_f36tokens.default.gray500}`,
        paddingRight: _f36tokens.default.spacing3Xl,
        marginRight: _f36tokens.default.spacing2Xl
    }),
    preview: (0, _emotion.css)({
        display: 'inline-block',
        paddingRight: _f36tokens.default.spacingL,
        width: '50%'
    }),
    unOrderedListPreview: (0, _emotion.css)({
        listStyleType: 'disc',
        marginLeft: _f36tokens.default.spacingS
    }),
    orderedListPreview: (0, _emotion.css)({
        listStyleType: 'decimal',
        marginLeft: _f36tokens.default.spacingS
    }),
    markup: (0, _emotion.css)({
        display: 'inline-block',
        color: _f36tokens.default.gray600,
        paddingLeft: _f36tokens.default.spacingL,
        width: '50%'
    }),
    h1: (0, _emotion.css)({
        fontSize: _f36tokens.default.fontSize2Xl
    }),
    h2: (0, _emotion.css)({
        fontSize: _f36tokens.default.fontSizeXl
    }),
    h3: (0, _emotion.css)({
        fontSize: _f36tokens.default.fontSizeL
    }),
    helpItem: (0, _emotion.css)({
        marginBottom: _f36tokens.default.spacingS,
        display: 'flex',
        alignItems: 'flex-end',
        height: _f36tokens.default.spacingXl
    }),
    helpLink: (0, _emotion.css)({
        margin: 'auto'
    }),
    flexRowContainer: (0, _emotion.css)({
        display: 'flex',
        width: '100%',
        justifyContent: 'center',
        marginTop: _f36tokens.default.spacingXl
    })
};
const CheatsheetModalDialog = ()=>{
    return /*#__PURE__*/ _react.createElement(_f36components.ModalContent, {
        testId: "markdown-cheatsheet-dialog-content"
    }, /*#__PURE__*/ _react.createElement("div", {
        className: styles.flexColumnContainer
    }, /*#__PURE__*/ _react.createElement("div", {
        className: (0, _emotion.cx)(styles.flexColumn, styles.verticalDivider)
    }, /*#__PURE__*/ _react.createElement("div", {
        className: styles.helpItem
    }, /*#__PURE__*/ _react.createElement(_f36components.Heading, {
        marginBottom: "none",
        as: "h1",
        className: (0, _emotion.cx)(styles.preview, styles.h1)
    }, "H1"), /*#__PURE__*/ _react.createElement("div", {
        className: styles.markup
    }, "# heading")), /*#__PURE__*/ _react.createElement("div", {
        className: styles.helpItem
    }, /*#__PURE__*/ _react.createElement(_f36components.Heading, {
        marginBottom: "none",
        as: "h2",
        className: (0, _emotion.cx)(styles.preview, styles.h2)
    }, "H2"), /*#__PURE__*/ _react.createElement("div", {
        className: styles.markup
    }, "## heading")), /*#__PURE__*/ _react.createElement("div", {
        className: styles.helpItem
    }, /*#__PURE__*/ _react.createElement(_f36components.Heading, {
        marginBottom: "none",
        as: "h3",
        className: (0, _emotion.cx)(styles.preview, styles.h3)
    }, "H3"), /*#__PURE__*/ _react.createElement("div", {
        className: styles.markup
    }, "### heading")), /*#__PURE__*/ _react.createElement("div", {
        className: styles.helpItem
    }, /*#__PURE__*/ _react.createElement("strong", {
        className: styles.preview
    }, "bold"), /*#__PURE__*/ _react.createElement("div", {
        className: styles.markup
    }, "__text__")), /*#__PURE__*/ _react.createElement("div", {
        className: styles.helpItem
    }, /*#__PURE__*/ _react.createElement("em", {
        className: styles.preview
    }, "italic"), /*#__PURE__*/ _react.createElement("div", {
        className: styles.markup
    }, "*text*")), /*#__PURE__*/ _react.createElement("div", {
        className: styles.helpItem
    }, /*#__PURE__*/ _react.createElement("div", {
        className: styles.preview
    }, "strikethrough"), /*#__PURE__*/ _react.createElement("div", {
        className: styles.markup
    }, "~~text~~")), /*#__PURE__*/ _react.createElement("div", {
        className: styles.helpItem
    }, /*#__PURE__*/ _react.createElement(_f36components.TextLink, {
        as: "button",
        className: styles.preview
    }, "Link"), /*#__PURE__*/ _react.createElement("div", {
        className: styles.markup
    }, "[text](url)"))), /*#__PURE__*/ _react.createElement("div", {
        className: styles.flexColumn
    }, /*#__PURE__*/ _react.createElement("div", {
        className: styles.helpItem
    }, /*#__PURE__*/ _react.createElement("div", {
        className: styles.preview
    }, "Image"), /*#__PURE__*/ _react.createElement("div", {
        className: styles.markup
    }, "![alt-text](url)")), /*#__PURE__*/ _react.createElement("div", {
        className: styles.helpItem
    }, /*#__PURE__*/ _react.createElement("div", {
        className: styles.preview
    }, "Unordered list"), /*#__PURE__*/ _react.createElement("div", {
        className: styles.markup
    }, "* list item")), /*#__PURE__*/ _react.createElement("div", {
        className: styles.helpItem
    }, /*#__PURE__*/ _react.createElement("div", {
        className: styles.preview
    }, /*#__PURE__*/ _react.createElement("div", null, "Ordered list")), /*#__PURE__*/ _react.createElement("div", {
        className: styles.markup
    }, "1. list item")), /*#__PURE__*/ _react.createElement("div", {
        className: styles.helpItem
    }, /*#__PURE__*/ _react.createElement("div", {
        className: styles.preview
    }, /*#__PURE__*/ _react.createElement("div", null, "Blockquote")), /*#__PURE__*/ _react.createElement("div", {
        className: styles.markup
    }, "> quote")), /*#__PURE__*/ _react.createElement("div", {
        className: styles.helpItem
    }, /*#__PURE__*/ _react.createElement("div", {
        className: styles.preview
    }, "code span"), /*#__PURE__*/ _react.createElement("div", {
        className: styles.markup
    }, "`code here`")), /*#__PURE__*/ _react.createElement("div", {
        className: styles.helpItem
    }, /*#__PURE__*/ _react.createElement("div", {
        className: styles.preview
    }, "code block"), /*#__PURE__*/ _react.createElement("div", {
        className: styles.markup
    }, "```code here```")))), /*#__PURE__*/ _react.createElement("div", {
        className: styles.flexRowContainer
    }, /*#__PURE__*/ _react.createElement(_f36components.TextLink, {
        className: styles.helpLink,
        href: "https://help.github.com/en/github/writing-on-github/basic-writing-and-formatting-syntax",
        target: "_blank",
        rel: "noopener noreferrer"
    }, "View the full GitHub-flavored Markdown syntax help (opens in a new window)")));
};
const openCheatsheetModal = (dialogs)=>{
    return dialogs.openCurrent({
        title: 'Markdown formatting help',
        width: 'large',
        minHeight: '415px',
        shouldCloseOnEscapePress: true,
        shouldCloseOnOverlayClick: true,
        parameters: {
            type: _types.MarkdownDialogType.cheatsheet
        }
    });
};
