"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    ConfirmInsertAssetModalDialog: function() {
        return ConfirmInsertAssetModalDialog;
    },
    openConfirmInsertAsset: function() {
        return openConfirmInsertAsset;
    }
});
const _react = /*#__PURE__*/ _interop_require_wildcard(require("react"));
const _f36components = require("@contentful/f36-components");
const _types = require("../types");
function _getRequireWildcardCache(nodeInterop) {
    if (typeof WeakMap !== "function") return null;
    var cacheBabelInterop = new WeakMap();
    var cacheNodeInterop = new WeakMap();
    return (_getRequireWildcardCache = function(nodeInterop) {
        return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
    })(nodeInterop);
}
function _interop_require_wildcard(obj, nodeInterop) {
    if (!nodeInterop && obj && obj.__esModule) {
        return obj;
    }
    if (obj === null || typeof obj !== "object" && typeof obj !== "function") {
        return {
            default: obj
        };
    }
    var cache = _getRequireWildcardCache(nodeInterop);
    if (cache && cache.has(obj)) {
        return cache.get(obj);
    }
    var newObj = {
        __proto__: null
    };
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for(var key in obj){
        if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) {
            var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
            if (desc && (desc.get || desc.set)) {
                Object.defineProperty(newObj, key, desc);
            } else {
                newObj[key] = obj[key];
            }
        }
    }
    newObj.default = obj;
    if (cache) {
        cache.set(obj, newObj);
    }
    return newObj;
}
const ConfirmInsertAssetModalDialog = ({ onClose, assets, locale })=>{
    const localesNumber = assets.length;
    return /*#__PURE__*/ _react.createElement(_react.Fragment, null, /*#__PURE__*/ _react.createElement(_f36components.ModalContent, {
        testId: "confirm-insert-asset"
    }, /*#__PURE__*/ _react.createElement(_f36components.Paragraph, null, localesNumber === 1 ? `Link asset with missing file for locale ${locale}` : `Link assets with missing files for locale ${locale}`), /*#__PURE__*/ _react.createElement(_f36components.Paragraph, null, localesNumber === 1 ? 'Do you want to link to the file in its fallback locale?' : 'Do you want to link to the files in their fallback locales?'), /*#__PURE__*/ _react.createElement(_f36components.EntityList, null, assets.map(({ title, description, thumbnailUrl, thumbnailAltText })=>/*#__PURE__*/ _react.createElement(_f36components.EntityList.Item, {
            key: thumbnailUrl,
            title: title,
            thumbnailUrl: `${thumbnailUrl}?w=46&h=46&fit=thumb`,
            thumbnailAltText: thumbnailAltText,
            description: description
        })))), /*#__PURE__*/ _react.createElement(_f36components.ModalControls, null, /*#__PURE__*/ _react.createElement(_f36components.Button, {
        onClick: ()=>onClose(false),
        variant: "secondary",
        size: "small"
    }, "Cancel"), /*#__PURE__*/ _react.createElement(_f36components.Button, {
        testId: "confirm-insert-asset",
        onClick: ()=>onClose(true),
        variant: "positive",
        size: "small"
    }, "Confirm")));
};
const openConfirmInsertAsset = (dialogs, options)=>{
    return dialogs.openCurrent({
        title: 'Confirm using fallback assets',
        width: 'medium',
        minHeight: '270px',
        shouldCloseOnEscapePress: true,
        shouldCloseOnOverlayClick: true,
        parameters: {
            type: _types.MarkdownDialogType.confirmInsertAsset,
            ...options
        }
    });
};
