"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    InsertTableModal: function() {
        return InsertTableModal;
    },
    openInsertTableDialog: function() {
        return openInsertTableDialog;
    }
});
const _react = /*#__PURE__*/ _interop_require_wildcard(require("react"));
const _f36components = require("@contentful/f36-components");
const _inRange = /*#__PURE__*/ _interop_require_default(require("lodash/inRange"));
const _types = require("../types");
function _interop_require_default(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
function _getRequireWildcardCache(nodeInterop) {
    if (typeof WeakMap !== "function") return null;
    var cacheBabelInterop = new WeakMap();
    var cacheNodeInterop = new WeakMap();
    return (_getRequireWildcardCache = function(nodeInterop) {
        return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
    })(nodeInterop);
}
function _interop_require_wildcard(obj, nodeInterop) {
    if (!nodeInterop && obj && obj.__esModule) {
        return obj;
    }
    if (obj === null || typeof obj !== "object" && typeof obj !== "function") {
        return {
            default: obj
        };
    }
    var cache = _getRequireWildcardCache(nodeInterop);
    if (cache && cache.has(obj)) {
        return cache.get(obj);
    }
    var newObj = {
        __proto__: null
    };
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for(var key in obj){
        if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) {
            var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
            if (desc && (desc.get || desc.set)) {
                Object.defineProperty(newObj, key, desc);
            } else {
                newObj[key] = obj[key];
            }
        }
    }
    newObj.default = obj;
    if (cache) {
        cache.set(obj, newObj);
    }
    return newObj;
}
const InsertTableModal = ({ onClose })=>{
    const mainInputRef = (0, _react.useRef)(null);
    const [rows, setRows] = (0, _react.useState)(2);
    const [cols, setColumns] = (0, _react.useState)(1);
    const rowsAreValid = (0, _inRange.default)(rows, 2, 100);
    const colsAreValid = (0, _inRange.default)(cols, 1, 100);
    (0, _react.useEffect)(()=>{
        if (mainInputRef.current?.focus) {
            mainInputRef.current.focus();
        }
    }, [
        mainInputRef
    ]);
    return /*#__PURE__*/ _react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/ _react.default.createElement(_f36components.ModalContent, {
        testId: "insert-table-modal"
    }, /*#__PURE__*/ _react.default.createElement(_f36components.Form, null, /*#__PURE__*/ _react.default.createElement(_f36components.FormControl, {
        id: "insert-table-rows-number-field",
        isRequired: true,
        isInvalid: !rowsAreValid
    }, /*#__PURE__*/ _react.default.createElement(_f36components.FormControl.Label, null, "Number of rows"), /*#__PURE__*/ _react.default.createElement(_f36components.TextInput, {
        name: "rows",
        value: rows.toString(),
        onChange: (e)=>setRows(Number(e.target.value)),
        testId: "insert-table-rows-number-field",
        min: 2,
        max: 100,
        pattern: "[1-9][0-9]*",
        type: "number",
        width: "small",
        autoComplete: "off",
        ref: mainInputRef
    }), !rowsAreValid && /*#__PURE__*/ _react.default.createElement(_f36components.FormControl.ValidationMessage, null, "Should be between 2 and 100")), /*#__PURE__*/ _react.default.createElement(_f36components.FormControl, {
        id: "insert-table-columns-number-field",
        isRequired: true,
        isInvalid: !colsAreValid
    }, /*#__PURE__*/ _react.default.createElement(_f36components.FormControl.Label, null, "Number of columns"), /*#__PURE__*/ _react.default.createElement(_f36components.TextInput, {
        name: "columns",
        value: cols.toString(),
        onChange: (e)=>setColumns(Number(e.target.value)),
        testId: "insert-table-columns-number-field",
        min: 1,
        max: 100,
        pattern: "[1-9][0-9]*",
        type: "number",
        width: "small",
        autoComplete: "off"
    }), !colsAreValid && /*#__PURE__*/ _react.default.createElement(_f36components.FormControl.ValidationMessage, null, "Should be between 1 and 100")))), /*#__PURE__*/ _react.default.createElement(_f36components.ModalControls, null, /*#__PURE__*/ _react.default.createElement(_f36components.Button, {
        testId: "insert-table-cancel",
        onClick: ()=>onClose(false),
        variant: "secondary",
        size: "small"
    }, "Cancel"), /*#__PURE__*/ _react.default.createElement(_f36components.Button, {
        testId: "insert-table-confirm",
        onClick: ()=>onClose({
                rows,
                cols
            }),
        variant: "positive",
        size: "small",
        isDisabled: !rowsAreValid || !colsAreValid
    }, "Insert")));
};
const openInsertTableDialog = (dialogs)=>{
    return dialogs.openCurrent({
        title: 'Insert table',
        width: 'medium',
        minHeight: '260px',
        shouldCloseOnEscapePress: true,
        shouldCloseOnOverlayClick: true,
        parameters: {
            type: _types.MarkdownDialogType.insertTable
        }
    });
};
