"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    SpecialCharacterModalDialog: function() {
        return SpecialCharacterModalDialog;
    },
    openInsertSpecialCharacter: function() {
        return openInsertSpecialCharacter;
    }
});
const _react = /*#__PURE__*/ _interop_require_wildcard(require("react"));
const _f36components = require("@contentful/f36-components");
const _f36tokens = /*#__PURE__*/ _interop_require_default(require("@contentful/f36-tokens"));
const _emotion = require("emotion");
const _types = require("../types");
const _specialCharacters = require("../utils/specialCharacters");
function _interop_require_default(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
function _getRequireWildcardCache(nodeInterop) {
    if (typeof WeakMap !== "function") return null;
    var cacheBabelInterop = new WeakMap();
    var cacheNodeInterop = new WeakMap();
    return (_getRequireWildcardCache = function(nodeInterop) {
        return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
    })(nodeInterop);
}
function _interop_require_wildcard(obj, nodeInterop) {
    if (!nodeInterop && obj && obj.__esModule) {
        return obj;
    }
    if (obj === null || typeof obj !== "object" && typeof obj !== "function") {
        return {
            default: obj
        };
    }
    var cache = _getRequireWildcardCache(nodeInterop);
    if (cache && cache.has(obj)) {
        return cache.get(obj);
    }
    var newObj = {
        __proto__: null
    };
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for(var key in obj){
        if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) {
            var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
            if (desc && (desc.get || desc.set)) {
                Object.defineProperty(newObj, key, desc);
            } else {
                newObj[key] = obj[key];
            }
        }
    }
    newObj.default = obj;
    if (cache) {
        cache.set(obj, newObj);
    }
    return newObj;
}
const styles = {
    buttonPanel: (0, _emotion.css)({
        display: 'flex',
        flexWrap: 'wrap'
    }),
    charButton: (0, _emotion.css)({
        border: `1px solid ${_f36tokens.default.gray500}`,
        width: '4.1rem',
        height: '4.1rem',
        fontSize: _f36tokens.default.fontSizeXl,
        marginTop: _f36tokens.default.spacing2Xs,
        marginRight: _f36tokens.default.spacing2Xs
    }),
    selectedCharButton: (0, _emotion.css)({
        backgroundColor: _f36tokens.default.gray100
    }),
    tooltip: (0, _emotion.css)({
        zIndex: 1000
    }),
    button: (0, _emotion.css)({
        marginTop: _f36tokens.default.spacingM,
        marginRight: _f36tokens.default.spacingS
    })
};
const SpecialCharacterModalDialog = ({ onClose })=>{
    const [selectedCharacter, setSelectedCharacter] = (0, _react.useState)(_specialCharacters.specialCharacters[0]);
    return /*#__PURE__*/ _react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/ _react.default.createElement(_f36components.ModalContent, {
        testId: "insert-special-character-modal"
    }, /*#__PURE__*/ _react.default.createElement(_f36components.Flex, {
        flexDirection: "column",
        alignItems: "center"
    }, /*#__PURE__*/ _react.default.createElement(_f36components.Text, {
        as: "div",
        lineHeight: "lineHeight3Xl",
        fontSize: "fontSize3Xl",
        marginBottom: "spacingS"
    }, String.fromCharCode(selectedCharacter.code)), /*#__PURE__*/ _react.default.createElement(_f36components.Text, {
        as: "div",
        marginBottom: "spacingS"
    }, selectedCharacter.desc)), /*#__PURE__*/ _react.default.createElement("div", {
        className: styles.buttonPanel
    }, _specialCharacters.specialCharacters.map((char)=>/*#__PURE__*/ _react.default.createElement("div", {
            key: char.code
        }, /*#__PURE__*/ _react.default.createElement(_f36components.Tooltip, {
            className: styles.tooltip,
            content: char.desc
        }, /*#__PURE__*/ _react.default.createElement(_f36components.Button, {
            testId: "special-character-button",
            isActive: char.code === selectedCharacter.code,
            className: styles.charButton,
            variant: "transparent",
            onClick: ()=>setSelectedCharacter(char)
        }, String.fromCharCode(char.code))))))), /*#__PURE__*/ _react.default.createElement(_f36components.ModalControls, null, /*#__PURE__*/ _react.default.createElement(_f36components.Button, {
        testId: "insert-character-cancel",
        className: styles.button,
        onClick: ()=>onClose(false),
        variant: "secondary",
        size: "small"
    }, "Cancel"), /*#__PURE__*/ _react.default.createElement(_f36components.Button, {
        className: styles.button,
        testId: "insert-character-confirm",
        onClick: ()=>onClose(String.fromCharCode(selectedCharacter.code)),
        variant: "positive",
        size: "small"
    }, "Insert selected")));
};
const openInsertSpecialCharacter = (dialogs)=>{
    return dialogs.openCurrent({
        title: 'Insert special character',
        width: 'large',
        minHeight: '600px',
        shouldCloseOnEscapePress: true,
        shouldCloseOnOverlayClick: true,
        parameters: {
            type: _types.MarkdownDialogType.insertSpecialCharacter
        }
    });
};
