"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "renderMarkdownDialog", {
    enumerable: true,
    get: function() {
        return renderMarkdownDialog;
    }
});
const _react = /*#__PURE__*/ _interop_require_wildcard(require("react"));
const _types = require("../types");
const _CheatsheetModalDialog = require("./CheatsheetModalDialog");
const _ConfirmInsertAssetModalDialog = require("./ConfirmInsertAssetModalDialog");
const _EmdebExternalContentDialog = require("./EmdebExternalContentDialog");
const _InsertLinkModalDialog = require("./InsertLinkModalDialog");
const _InsertTableModalDialog = require("./InsertTableModalDialog");
const _SpecialCharacterModalDialog = require("./SpecialCharacterModalDialog");
const _ZenModeModalDialog = require("./ZenModeModalDialog");
function _getRequireWildcardCache(nodeInterop) {
    if (typeof WeakMap !== "function") return null;
    var cacheBabelInterop = new WeakMap();
    var cacheNodeInterop = new WeakMap();
    return (_getRequireWildcardCache = function(nodeInterop) {
        return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
    })(nodeInterop);
}
function _interop_require_wildcard(obj, nodeInterop) {
    if (!nodeInterop && obj && obj.__esModule) {
        return obj;
    }
    if (obj === null || typeof obj !== "object" && typeof obj !== "function") {
        return {
            default: obj
        };
    }
    var cache = _getRequireWildcardCache(nodeInterop);
    if (cache && cache.has(obj)) {
        return cache.get(obj);
    }
    var newObj = {
        __proto__: null
    };
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for(var key in obj){
        if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) {
            var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
            if (desc && (desc.get || desc.set)) {
                Object.defineProperty(newObj, key, desc);
            } else {
                newObj[key] = obj[key];
            }
        }
    }
    newObj.default = obj;
    if (cache) {
        cache.set(obj, newObj);
    }
    return newObj;
}
const renderMarkdownDialog = (sdk)=>{
    const parameters = sdk.parameters.invocation;
    if (parameters.type === _types.MarkdownDialogType.cheatsheet) {
        sdk.window.startAutoResizer();
        return /*#__PURE__*/ _react.createElement(_CheatsheetModalDialog.CheatsheetModalDialog, null);
    } else if (parameters.type === _types.MarkdownDialogType.insertLink) {
        const selectedText = parameters.selectedText;
        sdk.window.startAutoResizer();
        return /*#__PURE__*/ _react.createElement(_InsertLinkModalDialog.InsertLinkModal, {
            selectedText: selectedText,
            onClose: sdk.close
        });
    } else if (parameters.type === _types.MarkdownDialogType.insertSpecialCharacter) {
        sdk.window.startAutoResizer();
        return /*#__PURE__*/ _react.createElement(_SpecialCharacterModalDialog.SpecialCharacterModalDialog, {
            onClose: sdk.close
        });
    } else if (parameters.type === _types.MarkdownDialogType.insertTable) {
        sdk.window.startAutoResizer();
        return /*#__PURE__*/ _react.createElement(_InsertTableModalDialog.InsertTableModal, {
            onClose: sdk.close
        });
    } else if (parameters.type === _types.MarkdownDialogType.embedExternalContent) {
        sdk.window.startAutoResizer();
        return /*#__PURE__*/ _react.createElement(_EmdebExternalContentDialog.EmbedExternalContentModal, {
            onClose: sdk.close
        });
    } else if (parameters.type === _types.MarkdownDialogType.confirmInsertAsset) {
        const locale = parameters.locale;
        const assets = parameters.assets;
        sdk.window.startAutoResizer();
        return /*#__PURE__*/ _react.createElement(_ConfirmInsertAssetModalDialog.ConfirmInsertAssetModalDialog, {
            onClose: sdk.close,
            locale: locale,
            assets: assets
        });
    } else if (parameters.type === _types.MarkdownDialogType.zenMode) {
        const locale = parameters.locale;
        const initialValue = parameters.initialValue;
        sdk.window.updateHeight('100%');
        return /*#__PURE__*/ _react.createElement(_ZenModeModalDialog.ZenModeModalDialog, {
            onClose: sdk.close,
            saveValueToSDK: ()=>{},
            initialValue: initialValue,
            locale: locale,
            sdk: sdk
        });
    }
    return /*#__PURE__*/ _react.createElement("div", null);
};
