"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
const _insertAssetLinks = require("./insertAssetLinks");
describe('replaceAssetDomain', ()=>{
    it('should replace contentful.com domains to ctfassets.net', ()=>{
        expect((0, _insertAssetLinks.replaceAssetDomain)('//images.contentful.com/image.jpg')).toBe('//images.ctfassets.net/image.jpg');
        expect((0, _insertAssetLinks.replaceAssetDomain)('//videos.contentful.com/video.mp4')).toBe('//videos.ctfassets.net/video.mp4');
        expect((0, _insertAssetLinks.replaceAssetDomain)('//downloads.contentful.com/file.doc')).toBe('//downloads.ctfassets.net/file.doc');
        expect((0, _insertAssetLinks.replaceAssetDomain)('//assets.contentful.com/file.doc')).toBe('//assets.ctfassets.net/file.doc');
        expect((0, _insertAssetLinks.replaceAssetDomain)('https://images.contentful.com/image.jpg')).toBe('https://images.ctfassets.net/image.jpg');
        expect((0, _insertAssetLinks.replaceAssetDomain)('https://videos.contentful.com/video.mp4')).toBe('https://videos.ctfassets.net/video.mp4');
        expect((0, _insertAssetLinks.replaceAssetDomain)('https://downloads.contentful.com/file.doc')).toBe('https://downloads.ctfassets.net/file.doc');
        expect((0, _insertAssetLinks.replaceAssetDomain)('https://assets.contentful.com/file.doc')).toBe('https://assets.ctfassets.net/file.doc');
    });
    it('should not replace domains not listed on the map', ()=>{
        expect((0, _insertAssetLinks.replaceAssetDomain)('//documents.contentful.com/image.jpg')).toBe('//documents.contentful.com/image.jpg');
        expect((0, _insertAssetLinks.replaceAssetDomain)('anyotherdomain.com/file.doc')).toBe('anyotherdomain.com/file.doc');
        expect((0, _insertAssetLinks.replaceAssetDomain)('https://anyotherdomain.com/file.doc')).toBe('https://anyotherdomain.com/file.doc');
    });
});
