import * as React from 'react';
import { Button, Menu } from '@contentful/f36-components';
import { AssetIcon, ChevronDownIcon } from '@contentful/f36-icons';
export const InsertLinkSelector = (props)=>{
    if (props.canAddNew) {
        return /*#__PURE__*/ React.createElement(MultipleMediaContextMenu, props);
    } else {
        return /*#__PURE__*/ React.createElement(Button, {
            isDisabled: props.disabled,
            startIcon: /*#__PURE__*/ React.createElement(AssetIcon, null),
            testId: "markdownEditor.linkExistingAssets",
            size: "small",
            variant: "secondary",
            onClick: ()=>{
                props.onSelectExisting();
            }
        }, "Insert media");
    }
};
const MultipleMediaContextMenu = (props)=>{
    return /*#__PURE__*/ React.createElement(Menu, {
        placement: "bottom-end"
    }, /*#__PURE__*/ React.createElement(Menu.Trigger, null, /*#__PURE__*/ React.createElement(Button, {
        endIcon: /*#__PURE__*/ React.createElement(ChevronDownIcon, null),
        isDisabled: props.disabled,
        startIcon: /*#__PURE__*/ React.createElement(AssetIcon, null),
        testId: "markdownEditor.insertMediaDropdownTrigger",
        size: "small",
        variant: "secondary"
    }, "Insert media")), /*#__PURE__*/ React.createElement(Menu.List, null, /*#__PURE__*/ React.createElement(Menu.Item, {
        testId: "markdownEditor.uploadAssetsAndLink",
        onClick: ()=>props.onAddNew()
    }, "Add new media and link"), /*#__PURE__*/ React.createElement(Menu.Item, {
        testId: "markdownEditor.linkExistingAssets",
        onClick: ()=>props.onSelectExisting()
    }, "Link existing media")));
};
