import * as React from 'react';
import tokens from '@contentful/f36-tokens';
import { CharCounter, CharValidation, ConstraintsUtils } from '@contentful/field-editor-shared';
import { css } from 'emotion';
const styles = {
    root: css({
        display: 'flex',
        justifyContent: 'space-between',
        fontSize: tokens.fontSizeM,
        marginTop: tokens.spacingXs,
        color: tokens.gray700
    })
};
export function MarkdownConstraints(props) {
    const constraints = ConstraintsUtils.fromFieldValidations(props.sdk.field.validations, props.sdk.field.type);
    const checkConstraint = ConstraintsUtils.makeChecker(constraints);
    return /*#__PURE__*/ React.createElement("div", {
        className: styles.root
    }, /*#__PURE__*/ React.createElement(CharCounter, {
        value: props.value,
        checkConstraint: checkConstraint
    }), /*#__PURE__*/ React.createElement(CharValidation, {
        constraints: constraints
    }));
}
