import * as React from 'react';
import { Button, EntityList, ModalContent, ModalControls, Paragraph } from '@contentful/f36-components';
import { MarkdownDialogType } from '../types';
export const ConfirmInsertAssetModalDialog = ({ onClose, assets, locale })=>{
    const localesNumber = assets.length;
    return /*#__PURE__*/ React.createElement(React.Fragment, null, /*#__PURE__*/ React.createElement(ModalContent, {
        testId: "confirm-insert-asset"
    }, /*#__PURE__*/ React.createElement(Paragraph, null, localesNumber === 1 ? `Link asset with missing file for locale ${locale}` : `Link assets with missing files for locale ${locale}`), /*#__PURE__*/ React.createElement(Paragraph, null, localesNumber === 1 ? 'Do you want to link to the file in its fallback locale?' : 'Do you want to link to the files in their fallback locales?'), /*#__PURE__*/ React.createElement(EntityList, null, assets.map(({ title, description, thumbnailUrl, thumbnailAltText })=>/*#__PURE__*/ React.createElement(EntityList.Item, {
            key: thumbnailUrl,
            title: title,
            thumbnailUrl: `${thumbnailUrl}?w=46&h=46&fit=thumb`,
            thumbnailAltText: thumbnailAltText,
            description: description
        })))), /*#__PURE__*/ React.createElement(ModalControls, null, /*#__PURE__*/ React.createElement(Button, {
        onClick: ()=>onClose(false),
        variant: "secondary",
        size: "small"
    }, "Cancel"), /*#__PURE__*/ React.createElement(Button, {
        testId: "confirm-insert-asset",
        onClick: ()=>onClose(true),
        variant: "positive",
        size: "small"
    }, "Confirm")));
};
export const openConfirmInsertAsset = (dialogs, options)=>{
    return dialogs.openCurrent({
        title: 'Confirm using fallback assets',
        width: 'medium',
        minHeight: '270px',
        shouldCloseOnEscapePress: true,
        shouldCloseOnOverlayClick: true,
        parameters: {
            type: MarkdownDialogType.confirmInsertAsset,
            ...options
        }
    });
};
