import * as React from 'react';
import { FieldAppSDK } from '@contentful/app-sdk';
import { MarkdownTab, PreviewComponents } from './types';
export interface MarkdownEditorProps {
    /**
     * is the field disabled initially
     */
    isInitiallyDisabled: boolean;
    /**
     * Minimum height to set for the markdown text area and preview
     */
    minHeight?: string | number;
    sdk: FieldAppSDK;
    previewComponents?: PreviewComponents;
    onReady?: Function;
    isDisabled?: boolean;
    /** Enables a specific tab to be active, and disables the other */
    enableTab?: MarkdownTab;
}
export declare function MarkdownEditor(props: MarkdownEditorProps & {
    value: string | null | undefined;
    saveValueToSDK: Function;
    externalReset?: number;
}): React.JSX.Element;
export declare function MarkdownEditorConnected(props: MarkdownEditorProps): React.JSX.Element;
