import * as React from 'react';
import { DialogAppSDK, DialogsAPI } from '@contentful/app-sdk';
import { PreviewComponents } from '../types';
export type ZenModeResult = {
    value: string;
    cursor?: {
        ch: number;
        line: number;
    };
};
type ZenModeDialogProps = {
    saveValueToSDK: (value: string | null | undefined) => void;
    onClose: (result: ZenModeResult) => void;
    initialValue: string;
    locale: string;
    sdk: DialogAppSDK;
    previewComponents?: PreviewComponents;
};
export declare const ZenModeModalDialog: (props: ZenModeDialogProps) => React.JSX.Element;
export declare const openZenMode: (dialogs: DialogsAPI, options: {
    initialValue: string;
    locale: string;
}) => Promise<ZenModeResult>;
export {};
